summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2018-09-23 17:46:09 +0300
committerAlon Bar-Lev <alonbl@gentoo.org>2018-09-28 02:51:42 +0300
commit410b99813dfc3923364964c83f9c0c8009be72b5 (patch)
treeef1b46268229b0acce08144cda28769ecc2ce6a1 /dev-libs
parentdev-libs/nettle: eapi bump (diff)
downloadgentoo-410b99813dfc3923364964c83f9c0c8009be72b5.tar.gz
gentoo-410b99813dfc3923364964c83f9c0c8009be72b5.tar.bz2
gentoo-410b99813dfc3923364964c83f9c0c8009be72b5.zip
dev-libs/opencryptoki: eapi bump
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/opencryptoki/opencryptoki-3.4.1.ebuild28
-rw-r--r--dev-libs/opencryptoki/opencryptoki-3.6.1.ebuild10
2 files changed, 20 insertions, 18 deletions
diff --git a/dev-libs/opencryptoki/opencryptoki-3.4.1.ebuild b/dev-libs/opencryptoki/opencryptoki-3.4.1.ebuild
index c2724bc8d3e..da43888b452 100644
--- a/dev-libs/opencryptoki/opencryptoki-3.4.1.ebuild
+++ b/dev-libs/opencryptoki/opencryptoki-3.4.1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="5"
+EAPI=7
inherit autotools multilib flag-o-matic user
@@ -21,18 +21,24 @@ RDEPEND="tpm? ( app-crypt/trousers )
libressl? ( dev-libs/libressl:0= )"
DEPEND="${RDEPEND}"
-S="${WORKDIR}/${PN}"
+DOCS=(
+ README AUTHORS FAQ TODO
+ doc/openCryptoki-HOWTO.pdf
+)
# tests right now basically don't exist; the only available thing would
# test against an installed copy and would kill a running pcscd, all
# things that we're not interested to.
RESTRICT=test
+S="${WORKDIR}/${PN}"
+
pkg_setup() {
enewgroup pkcs11
}
src_prepare() {
+ default
mv configure.in configure.ac || die
eautoreconf
}
@@ -68,23 +74,21 @@ src_configure() {
}
src_install() {
- emake install DESTDIR="${ED}"
+ default
+ find "${ED}" -name '*.la' -delete || die
# Install libopencryptoki in the standard directory for libraries.
- mv "${D}"/usr/$(get_libdir)/opencryptoki/libopencryptoki.so* "${D}"/usr/$(get_libdir) || die
- rm "${D}"/usr/$(get_libdir)/pkcs11/libopencryptoki.so
+ mv "${ED}"/usr/$(get_libdir)/opencryptoki/libopencryptoki.so* "${ED}"/usr/$(get_libdir) || die
+ rm "${ED}"/usr/$(get_libdir)/pkcs11/libopencryptoki.so
dosym ../libopencryptoki.so /usr/$(get_libdir)/pkcs11/libopencryptoki.so
# Remove compatibility symlinks as we _never_ required those and
# they seem unused even upstream.
- find "${D}" -name 'PKCS11_*' -delete
-
- # doesn't use libltdl; only dlopen()-based interfaces
- find "${D}" -name '*.la' -delete
+ find "${ED}" -name 'PKCS11_*' -delete
# We replace their ld.so and init files (mostly designed for RedHat
# as far as I can tell) with our own replacements.
- rm -rf "${D}"/etc/ld.so.conf.d "${D}"/etc/rc.d
+ rm -rf "${ED}"/etc/ld.so.conf.d "${ED}"/etc/rc.d
# make sure that we don't modify the init script if the USE flags
# are enabled for the needed services.
@@ -94,7 +98,5 @@ src_install() {
# We create /var dirs at runtime as needed, so don't bother installing
# our own.
- rm -r "${D}"/var/{lib,lock} || die
-
- dodoc README AUTHORS FAQ TODO doc/openCryptoki-HOWTO.pdf
+ rm -r "${ED}"/var/{lib,lock} || die
}
diff --git a/dev-libs/opencryptoki/opencryptoki-3.6.1.ebuild b/dev-libs/opencryptoki/opencryptoki-3.6.1.ebuild
index 4f6f1383102..c07161fde52 100644
--- a/dev-libs/opencryptoki/opencryptoki-3.6.1.ebuild
+++ b/dev-libs/opencryptoki/opencryptoki-3.6.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
+EAPI=7
-inherit autotools multilib ltprune flag-o-matic user
+inherit autotools multilib flag-o-matic user
DESCRIPTION="PKCS#11 provider cryptographic hardware"
HOMEPAGE="https://sourceforge.net/projects/opencryptoki"
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/opencryptoki/${PV}/${P}.tgz"
# token sources are under CPL-1.0 already.
LICENSE="CPL-0.5"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
+KEYWORDS="~amd64 ~arm ~s390 ~x86"
IUSE="debug libressl +tpm"
RDEPEND="tpm? ( app-crypt/trousers )
@@ -74,7 +74,7 @@ src_configure() {
src_install() {
default
- prune_libtool_files --all
+ find "${ED}" -name '*.la' -delete || die
# Install libopencryptoki in the standard directory for libraries.
mv "${ED}"/usr/$(get_libdir)/opencryptoki/libopencryptoki.so* "${ED}"/usr/$(get_libdir) || die